UPnP (Template)
2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getUpnpSettingTemplate | GET | Get UPnP template setting |
| updateUpnpSettingTemplate | PUT | Modify UPnP template setting |
getUpnpSettingTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/upnp
Get UPnP template setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
json
// omada_call_operation
{
"operationId": "getUpnpSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get UPnP template setting
The interface requires one of the permissions:
Global Site Template Manager View Only
updateUpnpSettingTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/upnp
Modify UPnP template setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema UpnpSettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Whether to enable UPnP |
wanPortIds | array<string> | no | This field represents WAN Port ID, WAN Port ID can be obtained from "Get internet basic info" interface. |
networkIds | array<string> | no | This field represents LAN Network ID. LAN Network ID can be obtained from "Get all "single"/"multi" interface lan network" interface. |
supportByDsLiteAndMapE | boolean | no | Whether this feature is supported for the DS-Lite or Map-E WAN connection types. |
json
// omada_call_operation
{
"operationId": "updateUpnpSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify UPnP template setting
The interface requires one of the permissions:
Global Site Template Manager Modify